Package org.jboss.modules

# Class LocalDependencySpecBuilder

java.lang.Object
org.jboss.modules.DependencySpecBuilder
org.jboss.modules.LocalDependencySpecBuilder

public final class LocalDependencySpecBuilder extends DependencySpecBuilder
A local dependency specification builder, which includes a module's own content or some other, external content.

## Constructor Summary

Constructors
Constructor
Description
`LocalDependencySpecBuilder()`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`DependencySpec`
`build()`
Construct the dependency specification.
`PathFilter`
`getImportFilter()`
Get the import filter to use.
`Set<String>`
`getLoaderPaths()`
Get the loader paths set.
`LocalLoader`
`getLocalLoader()`
Get the local loader to use.
`LocalDependencySpecBuilder`
`setClassExportFilter(ClassFilter classExportFilter)`
Set the class export filter to use.
`LocalDependencySpecBuilder`
`setClassImportFilter(ClassFilter classImportFilter)`
Set the class import filter to use.
`LocalDependencySpecBuilder`
`setExport(boolean export)`
Set a simple export filter, based on a `boolean` flag.
`LocalDependencySpecBuilder`
`setExportFilter(PathFilter exportFilter)`
Set the export filter to use.
`LocalDependencySpecBuilder`
`setImportFilter(PathFilter importFilter)`
Set the import filter to use.
`LocalDependencySpecBuilder`
`setImportServices(boolean services)`
Set a simple import filter, based on a `boolean` flag specifying whether services should be imported.
`LocalDependencySpecBuilder`
`setLoaderPaths(Set<String> loaderPaths)`
Set the loader paths set.
`LocalDependencySpecBuilder`
`setLocalLoader(LocalLoader localLoader)`
Set the local loader to use.
`LocalDependencySpecBuilder`
`setResourceExportFilter(PathFilter resourceExportFilter)`
Set the resource export filter to use.
`LocalDependencySpecBuilder`
`setResourceImportFilter(PathFilter resourceImportFilter)`
Set the resource import filter to use.

### Methods inherited from class org.jboss.modules.DependencySpecBuilder

`getClassExportFilter, getClassImportFilter, getExportFilter, getResourceExportFilter, getResourceImportFilter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalDependencySpecBuilder

public LocalDependencySpecBuilder()
Construct a new instance.

## Method Details

### getImportFilter

public PathFilter getImportFilter()
Get the import filter to use. The default value is `PathFilters.acceptAll()`.

Overrides:
  `getImportFilter` in class `DependencySpecBuilder`
Returns:
  the import filter to use

### setImportFilter

public LocalDependencySpecBuilder setImportFilter(PathFilter importFilter)
Description copied from class: `DependencySpecBuilder`
Set the import filter to use.

Overrides:
  `setImportFilter` in class `DependencySpecBuilder`
Parameters:
  `importFilter` - the import filter to use (must not be `null`)
Returns:
  this builder

### setImportServices

public LocalDependencySpecBuilder setImportServices(boolean services)
Description copied from class: `DependencySpecBuilder`
Set a simple import filter, based on a `boolean` flag specifying whether services should be imported. If the flag is `true`, the import filter is set to `PathFilters.getDefaultImportFilterWithServices()`, otherwise it is set to `PathFilters.getDefaultImportFilter()`. Any previous import filter setting is overwritten.

Overrides:
  `setImportServices` in class `DependencySpecBuilder`
Parameters:
  `services` - the services flag
Returns:
  this builder

### setExportFilter

public LocalDependencySpecBuilder setExportFilter(PathFilter exportFilter)
Description copied from class: `DependencySpecBuilder`
Set the export filter to use.

Overrides:
  `setExportFilter` in class `DependencySpecBuilder`
Parameters:
  `exportFilter` - the export filter to use (must not be `null`)
Returns:
  this builder

### setExport

public LocalDependencySpecBuilder setExport(boolean export)
Description copied from class: `DependencySpecBuilder`
Set a simple export filter, based on a `boolean` flag. If the flag is `true`, the export filter is set to `PathFilters.acceptAll()`, otherwise it is set to `PathFilters.rejectAll()`. Any previous export filter setting is overwritten.

Overrides:
  `setExport` in class `DependencySpecBuilder`
Parameters:
  `export` - the export flag
Returns:
  this builder

### setResourceImportFilter

public LocalDependencySpecBuilder setResourceImportFilter(PathFilter resourceImportFilter)
Description copied from class: `DependencySpecBuilder`
Set the resource import filter to use.

Overrides:
  `setResourceImportFilter` in class `DependencySpecBuilder`
Parameters:
  `resourceImportFilter` - the resource import filter to use (must not be `null`)
Returns:
  this builder

### setResourceExportFilter

public LocalDependencySpecBuilder setResourceExportFilter(PathFilter resourceExportFilter)
Description copied from class: `DependencySpecBuilder`
Set the resource export filter to use. The default value is `PathFilters.acceptAll()`.

Overrides:
  `setResourceExportFilter` in class `DependencySpecBuilder`
Parameters:
  `resourceExportFilter` - the resource export filter to use (must not be `null`)
Returns:
  this builder

### setClassImportFilter

public LocalDependencySpecBuilder setClassImportFilter(ClassFilter classImportFilter)
Description copied from class: `DependencySpecBuilder`
Set the class import filter to use.

Overrides:
  `setClassImportFilter` in class `DependencySpecBuilder`
Parameters:
  `classImportFilter` - the class import filter to use (must not be `null`)
Returns:
  this builder

### setClassExportFilter

public LocalDependencySpecBuilder setClassExportFilter(ClassFilter classExportFilter)
Description copied from class: `DependencySpecBuilder`
Set the class export filter to use.

Overrides:
  `setClassExportFilter` in class `DependencySpecBuilder`
Parameters:
  `classExportFilter` - the class export filter to use (must not be `null`)
Returns:
  this builder

### getLocalLoader

public LocalLoader getLocalLoader()
Get the local loader to use. The default value is `null`, indicating that the content should come from the module being defined.

Returns:
  the local loader to use, or `null` to use the module's own content

### setLocalLoader

public LocalDependencySpecBuilder setLocalLoader(LocalLoader localLoader)
Set the local loader to use.

Parameters:
  `localLoader` - the local loader to use, or `null` to use the module's own content
Returns:
  this builder

### getLoaderPaths

public Set<String> getLoaderPaths()
Get the loader paths set. The default is the empty set. This value is ignored if the dependency specification refers to the module's own content.

Returns:
  the loader paths set

### setLoaderPaths

public LocalDependencySpecBuilder setLoaderPaths(Set<String> loaderPaths)
Set the loader paths set.

Parameters:
  `loaderPaths` - the loader paths set (must not be `null`)
Returns:
  this builder

### build

public DependencySpec build()
Description copied from class: `DependencySpecBuilder`
Construct the dependency specification.

Specified by:
  `build` in class `DependencySpecBuilder`
Returns:
  the dependency specification